Browse Source

Replace ostestr with stestr in testing framework.

A system upgrade broke ostestr. We can fix it by just calling stestr
directly.

Change-Id: I1ef9e8dd7da8ffafc672f98d6a70f2e66c1639dc
changes/33/641833/1
Pete Vander Giessen 1 year ago
parent
commit
76e9fc4da9
4 changed files with 6 additions and 14 deletions
  1. +0
    -8
      .testr.conf
  2. +1
    -1
      src/test-requirements.txt
  3. +1
    -1
      test-requirements.txt
  4. +4
    -4
      tox.ini

+ 0
- 8
.testr.conf View File

@@ -1,8 +0,0 @@
[DEFAULT]
test_command=OS_STDOUT_CAPTURE=${OS_STDOUT_CAPTURE:-1} \
OS_STDERR_CAPTURE=${OS_STDERR_CAPTURE:-1} \
OS_TEST_TIMEOUT=${OS_TEST_TIMEOUT:-60} \
${PYTHON:-python} -m subunit.run discover -t ./ ./unit_tests $LISTOPT $IDOPTION

test_id_option=--load-list $IDFILE
test_list_option=--list

+ 1
- 1
src/test-requirements.txt View File

@@ -5,7 +5,7 @@ charm-tools>=2.4.4
coverage>=3.6
mock>=1.2
flake8>=2.2.4,<=2.4.1
os-testr>=0.4.1
stestr>=2.2.0
requests>=2.18.4
# BEGIN: Amulet OpenStack Charm Helper Requirements
# Liberty client lower constraints


+ 1
- 1
test-requirements.txt View File

@@ -4,7 +4,7 @@
#
# Lint and unit test requirements
flake8>=2.2.4,<=2.4.1
os-testr>=0.4.1
stestr>=2.2.0
requests>=2.18.4
charms.reactive
mock>=1.2


+ 4
- 4
tox.ini View File

@@ -35,17 +35,17 @@ commands = true
[testenv:py34]
basepython = python3.4
deps = -r{toxinidir}/test-requirements.txt
commands = ostestr {posargs}
commands = stestr run {posargs}

[testenv:py35]
basepython = python3.5
deps = -r{toxinidir}/test-requirements.txt
commands = ostestr {posargs}
commands = stestr run {posargs}

[testenv:py36]
basepython = python3.6
deps = -r{toxinidir}/test-requirements.txt
commands = ostestr {posargs}
commands = stestr run {posargs}

[testenv:pep8]
basepython = python3
@@ -62,7 +62,7 @@ setenv =
PYTHON=coverage run
commands =
coverage erase
ostestr {posargs}
stestr run {posargs}
coverage combine
coverage html -d cover
coverage xml -o cover/coverage.xml


Loading…
Cancel
Save